HomeGuidesReference↗ Forage Dashboard
Log In
Reference

Authorize a Payment

HSA/FSA Payments Only

This endpoint can only be used for HSA/FSA payments.

A POST request to /payments/{payment_ref}/authorize/ performs an Authorization on an existing Payment object.

A hold will be placed on the cardholder's account for the amount of the payment. This hold will appear on the cardholder's statement as a pending transaction. If request_partial_authorization is true then the amount authorized may be less then the original payment amount. In this case the original amount is moved into a field requested_amount and the actual amount authorized will be in field amount.

Path Params
string
required

A unique reference hash for the Forage Payment object, returned when the Payment was created.

Body Params

A request body to pass to /payments/{payment_ref}/authorize/.

boolean

If true, partial authorization is attempted when the cardholder balance is insufficient to cover the entire authorization amount. The amount returned represents the “approved” amount that may be less than the original requested amount. If false, authorization will fail if there is insufficient balance.

Headers
string
required

An OAuth 2.0 authentication token that validates the request. Send a POST to the /o/token/ endpoint to generate an authentication token. Pass the token in this header after the word Bearer and a whitespace, for example Bearer <api_key>.

string
required

A unique merchant ID that Forage provides during onboarding, as in 123ab45c67. The Merchant ID can be found in the Forage sandbox or production dashboard.

string
required

An alphanumeric key that clients can use to identify repeated requests that are dropped in transit. Generate a distinct key for every unique request and only re-use keys for retries.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json